Skip to main content
GET
/
invoices
List invoices
curl --request GET \
  --url https://services.leadconnectorhq.com/invoices \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "invoices": [
    {
      "_id": "6578278e879ad2646715ba9c",
      "status": "draft",
      "liveMode": false,
      "amountPaid": 0,
      "altId": "6578278e879ad2646715ba9c",
      "altType": "location",
      "name": "New Invoice",
      "businessDetails": {
        "name": "Alex",
        "address": {
          "addressLine1": "9931 Beechwood",
          "city": "St. Houston",
          "state": "TX",
          "countryCode": "USA",
          "postalCode": "559-6993"
        },
        "phoneNo": "+1-214-559-6993",
        "website": "www.example.com"
      },
      "invoiceNumber": "19",
      "currency": "USD",
      "contactDetails": {
        "id": "c6tZZU0rJBf30ZXx9Gli",
        "phoneNo": "+1-214-559-6993",
        "email": "alex@example.com",
        "customFields": [],
        "name": "Alex",
        "address": {
          "countryCode": "US"
        }
      },
      "issueDate": "2023-01-01",
      "dueDate": "2023-01-01",
      "invoiceItems": [
        {
          "taxes": [],
          "_id": "c6tZZU0rJBf30ZXx9Gli",
          "productId": "c6tZZU0rJBf30ZXx9Gli",
          "priceId": "c6tZZU0rJBf30ZXx9Gli",
          "currency": "USD",
          "name": "Macbook Pro",
          "qty": 1,
          "amount": 999
        }
      ],
      "total": 999,
      "title": "INVOICE",
      "amountDue": 999,
      "createdAt": "2023-12-12T09:27:42.355Z",
      "updatedAt": "2023-12-12T09:27:42.355Z",
      "totalSummary": {
        "subTotal": 999,
        "discount": 0,
        "tax": 0
      },
      "discount": {
        "type": "percentage",
        "value": 0
      },
      "automaticTaxesEnabled": true,
      "automaticTaxesCalculated": true,
      "paymentSchedule": {},
      "remindersConfiguration": {
        "reminderExecutionDetailsList": {},
        "reminderSettings": {
          "defaultEmailTemplateId": "dhwjqi2899012990w2u",
          "reminders": [
            {
              "enabled": true,
              "emailTemplate": "default",
              "smsTemplate": "default",
              "emailSubject": "Reminder",
              "reminderId": "9333e45f-a27d-4659-90e5-76c5ef06d094",
              "reminderName": "Special Reminder",
              "reminderTime": "before",
              "intervalType": "daily",
              "maxReminders": 3,
              "reminderInvoiceCondition": "invoice_sent",
              "reminderNumber": 10,
              "startTime": "9:00 AM",
              "endTime": "5:00 PM",
              "timezone": "businessTZ"
            }
          ]
        }
      }
    }
  ],
  "total": 100
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Query Parameters

altId
string
required

location Id / company Id based on altType

Example:

"6578278e879ad2646715ba9c"

altType
enum<string>
required

Alt Type

Available options:
location
Example:

"location"

status
string

status to be filtered

startAt
string

startAt in YYYY-MM-DD format

Example:

"2023-01-01"

endAt
string

endAt in YYYY-MM-DD format

Example:

"2023-01-01"

To search for an invoice by id / name / email / phoneNo

Example:

"Alex"

paymentMode
enum<string>

payment mode

Available options:
default,
live,
test
Example:

"live"

contactId
string

Contact ID for the invoice

Example:

"AmuzcoPBpgKeccNsFlib"

limit
string
required

Limit the number of items to return

Example:

10

offset
string
required

Number of items to skip

Example:

10

sortField
enum<string>

The field on which sorting should be applied

Available options:
issueDate
Example:

"issueDate"

sortOrder
enum<string>

The order of sort which should be applied for the sortField

Available options:
ascend,
descend
Example:

"descend"

Response

Successful response

invoices
object[]
required
total
number
required

Total number of invoices

Example:

100

Last modified on March 4, 2026